<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CountryRefStructure StructType
 * Meta informations extracted from the WSDL
 * - documentation: Type for reference to a Country identifier. | Type for Country identifier.
 * @subpackage Structs
 */
class CountryRefStructure extends AbstractStructBase
{
    /**
     * The _
     * Meta informations extracted from the WSDL
     * - documentation: Type for Country identifier.
     * @var IanaCountryTldEnumeration
     */
    public $_;
    /**
     * Constructor method for CountryRefStructure
     * @uses CountryRefStructure::set_()
     * @param IanaCountryTldEnumeration $_
     */
    public function __construct(IanaCountryTldEnumeration $_ = null)
    {
        $this
            ->set_($_);
    }
    /**
     * Get _ value
     * @return IanaCountryTldEnumeration|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param IanaCountryTldEnumeration $_
     * @return \StructType\CountryRefStructure
     */
    public function set_(IanaCountryTldEnumeration $_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CountryRefStructure
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
